operations.hpp File Reference

## Classes

struct | ranges::advance_fn
struct | ranges::distance_compare_fn
struct | ranges::distance_fn
struct | ranges::enumerate_fn
struct | ranges::iter_distance_compare_fn
struct | ranges::iter_distance_fn
struct | ranges::iter_enumerate_fn
struct | ranges::iter_size_fn
struct | ranges::next_fn
struct | ranges::prev_fn

## Variables

constexpr advance_fn | ranges::advance {}
constexpr distance_fn | ranges::distance {}
constexpr distance_compare_fn | ranges::distance_compare {}
constexpr enumerate_fn | ranges::enumerate {}
constexpr iter_distance_fn | ranges::iter_distance {}
constexpr iter_distance_compare_fn | ranges::iter_distance_compare {}
constexpr iter_enumerate_fn | ranges::iter_enumerate {}
constexpr iter_size_fn | ranges::iter_size {}
constexpr next_fn | ranges::next {}
constexpr prev_fn | ranges::prev {}
constexpr adl_uncounted_recounted_detail::recounted_fn | ranges::recounted {}
constexpr adl_uncounted_recounted_detail::uncounted_fn | ranges::uncounted {}